Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 1188)
+++ inc/admin/lib.dc.page.php	(revision 1049)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -22,10 +22,10 @@
 	{
 		global $core;
-
+		
 		if ($core->blog && $core->auth->check($permissions,$core->blog->id))
 		{
 			return;
 		}
-
+		
 		if (session_id()) {
 			$core->session->destroy();
@@ -33,10 +33,10 @@
 		http::redirect(DC_AUTH_PAGE);
 	}
-
+	
 	# Check super admin
 	public static function checkSuper()
 	{
 		global $core;
-
+		
 		if (!$core->auth->isSuperAdmin())
 		{
@@ -47,10 +47,10 @@
 		}
 	}
-
+	
 	# Top of admin page
 	public static function open($title='', $head='')
 	{
 		global $core;
-
+		
 		# List of user's blogs
 		if ($core->auth->blog_count == 1 || $core->auth->blog_count > 20)
@@ -59,5 +59,5 @@
 			'<p>'.__('Blog:').' <strong title="'.html::escapeHTML($core->blog->url).'">'.
 			html::escapeHTML($core->blog->name).'</strong>';
-
+			
 			if ($core->auth->blog_count > 20) {
 				$blog_box .= ' - <a href="blogs.php">'.__('Change blog').'</a>';
@@ -80,7 +80,7 @@
 			'<noscript><p><input type="submit" value="'.__('ok').'" /></p></noscript>';
 		}
-
+		
 		$safe_mode = isset($_SESSION['sess_safe_mode']) && $_SESSION['sess_safe_mode'];
-
+		
 		# Display
 		header('Content-Type: text/html; charset=UTF-8');
@@ -94,13 +94,13 @@
 		'  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />'."\n".
 		'  <title>'.$title.' - '.html::escapeHTML($core->blog->name).' - '.html::escapeHTML(DC_VENDOR_NAME).' - '.DC_VERSION.'</title>'."\n".
-
+		
 		'  <meta name="ROBOTS" content="NOARCHIVE,NOINDEX,NOFOLLOW" />'."\n".
 		'  <meta name="GOOGLEBOT" content="NOSNIPPET" />'."\n".
-
+		
 		self::jsLoadIE7().
-		'  	<link rel="stylesheet" href="style/default.css" type="text/css" media="screen" />'."\n";
+		'  	<link rel="stylesheet" href="style/default.css" type="text/css" media="screen" />'."\n"; 
 		if (l10n::getTextDirection($GLOBALS['_lang']) == 'rtl') {
 			echo
-			'  	<link rel="stylesheet" href="style/default-rtl.css" type="text/css" media="screen" />'."\n";
+		'  	<link rel="stylesheet" href="style/default-rtl.css" type="text/css" media="screen" />'."\n"; 
 		}
 
@@ -110,12 +110,12 @@
 			echo '<link rel="icon" type="image/png" href="images/favicon.png" />';
 		}
-
+		
 		echo
 		self::jsCommon().
 		$head;
-
+		
 		# --BEHAVIOR-- adminPageHTMLHead
 		$core->callBehavior('adminPageHTMLHead');
-
+		
 		echo
 		"</head>\n".
@@ -123,9 +123,9 @@
 		($safe_mode ? ' safe-mode' : '').
 		'">'."\n".
-
+		
 		'<div id="header">'.
 		'<ul id="prelude"><li><a href="#content">'.__('Go to the content').'</a></li><li><a href="#main-menu">'.__('Go to the menu').'</a></li></ul>'."\n".
-		'<div id="top"><h1><a href="index.php">'.DC_VENDOR_NAME.'</a></h1></div>'."\n";
-
+		'<div id="top"><h1><a href="index.php">'.DC_VENDOR_NAME.'</a></h1></div>'."\n";	
+		
 		echo
 		'<div id="info-boxes">'.
@@ -143,10 +143,10 @@
 		'</div>'.
 		'</div>';
-
+		
 		echo
 		'<div id="wrapper">'."\n".
 		'<div id="main">'."\n".
 		'<div id="content">'."\n";
-
+		
 		# Safe mode
 		if ($safe_mode)
@@ -157,5 +157,5 @@
 			'</div>';
 		}
-
+		
 		if ($core->error->flag()) {
 			echo
@@ -165,5 +165,5 @@
 		}
 	}
-
+	
 	public static function close()
 	{
@@ -171,41 +171,37 @@
 
 		$menu =& $GLOBALS['_menu'];
-
+		
 		echo
 		"</div>\n".		// End of #content
 		"</div>\n".		// End of #main
-
+		
 		'<div id="main-menu">'."\n";
-
+		
 		foreach ($menu as $k => $v) {
 			echo $menu[$k]->draw();
 		}
-
-		$text = sprintf(__('Thank you for using %s.'),'Dotclear '.DC_VERSION);
+		
+		$text = sprintf(__('Thank you for using %s.'),'<a href="http://dotclear.org/">Dotclear '.DC_VERSION.'</a>');
 
 		# --BEHAVIOR-- adminPageFooter
 		$textAlt = $core->callBehavior('adminPageFooter',$core,$text);
-		if ($textAlt != '') {
-			$text = $textAlt;
-		}
-		$text = html::escapeHTML($text);
 
 		echo
 		'</div>'."\n".		// End of #main-menu
-		'<div id="footer"><a href="http://dotclear.org/" title="'.$text.'"><img src="style/dc_logo_footer.png" alt="'.$text.'" /></a></div>'."\n".
+		'<div id="footer"><p>'.($textAlt != '' ? $textAlt : $text).'</p></div>'."\n".
 		"</div>\n";		// End of #wrapper
-
+		
 		if (defined('DC_DEV') && DC_DEV === true) {
 			echo self::debugInfo();
 		}
-
+		
 		echo
 		'</body></html>';
 	}
-
+	
 	public static function openPopup($title='', $head='')
 	{
 		global $core;
-
+		
 		# Display
 		header('Content-Type: text/html; charset=UTF-8');
@@ -219,33 +215,33 @@
 		'  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />'."\n".
 		'  <title>'.$title.' - '.html::escapeHTML($core->blog->name).' - '.html::escapeHTML(DC_VENDOR_NAME).' - '.DC_VERSION.'</title>'."\n".
-
+		
 		'  <meta name="ROBOTS" content="NOARCHIVE,NOINDEX,NOFOLLOW" />'."\n".
 		'  <meta name="GOOGLEBOT" content="NOSNIPPET" />'."\n".
-
+		
 		self::jsLoadIE7().
-		'  	<link rel="stylesheet" href="style/default.css" type="text/css" media="screen" />'."\n";
+		'  	<link rel="stylesheet" href="style/default.css" type="text/css" media="screen" />'."\n"; 
 		if (l10n::getTextDirection($GLOBALS['_lang']) == 'rtl') {
 			echo
-			'  	<link rel="stylesheet" href="style/default-rtl.css" type="text/css" media="screen" />'."\n";
-		}
-
+			'  	<link rel="stylesheet" href="style/default-rtl.css" type="text/css" media="screen" />'."\n"; 
+		}
+		
 		echo
 		self::jsCommon().
 		$head;
-
+		
 		# --BEHAVIOR-- adminPageHTMLHead
 		$core->callBehavior('adminPageHTMLHead');
-
+		
 		echo
 		"</head>\n".
 		'<body id="dotclear-admin" class="popup">'."\n".
-
+		
 		'<div id="top"><h1>'.DC_VENDOR_NAME.'</h1></div>'."\n";
-
+		
 		echo
 		'<div id="wrapper">'."\n".
 		'<div id="main">'."\n".
 		'<div id="content">'."\n";
-
+		
 		if ($core->error->flag()) {
 			echo
@@ -255,5 +251,5 @@
 		}
 	}
-
+	
 	public static function closePopup()
 	{
@@ -269,10 +265,10 @@
 	{
 		global $core;
-
+		
 		$res = '';
 		if ($msg != '') {
 			$res = ($div ? '<div class="message">' : '').'<p'.($div ? '' : ' class="message"').'>'.
-			($timestamp ? dt::str(__('%H:%M:%S:'),null,$core->auth->getInfo('user_tz')).' ' : '').$msg.
-			'</p>'.($div ? '</div>' : '');
+				($timestamp ? dt::str(__('%H:%M:%S:'),null,$core->auth->getInfo('user_tz')).' ' : '').$msg.
+				'</p>'.($div ? '</div>' : '');
 			if ($echo) {
 				echo $res;
@@ -281,17 +277,17 @@
 		return $res;
 	}
-
+	
 	private static function debugInfo()
 	{
 		$global_vars = implode(', ',array_keys($GLOBALS));
-
+		
 		$res =
 		'<div id="debug"><div>'.
 		'<p>memory usage: '.memory_get_usage().' ('.files::size(memory_get_usage()).')</p>';
-
+		
 		if (function_exists('xdebug_get_profiler_filename'))
 		{
 			$res .= '<p>Elapsed time: '.xdebug_time_index().' seconds</p>';
-
+			
 			$prof_file = xdebug_get_profiler_filename();
 			if ($prof_file) {
@@ -303,5 +299,5 @@
 				$res .= '<p><a href="'.html::escapeURL($prof_url).'">Trigger profiler</a></p>';
 			}
-
+			
 			/* xdebug configuration:
 			zend_extension = /.../xdebug.so
@@ -317,17 +313,17 @@
 			*/
 		}
-
+		
 		$res .=
 		'<p>Global vars: '.$global_vars.'</p>'.
 		'</div></div>';
-
+		
 		return $res;
 	}
-
+	
 	public static function help($page,$index='')
 	{
 		# Deprecated but we keep this for plugins.
 	}
-
+	
 	public static function helpBlock()
 	{
@@ -336,10 +332,10 @@
 			return;
 		};
-
+		
 		global $__resources;
 		if (empty($__resources['help'])) {
 			return;
 		}
-
+		
 		$content = '';
 		foreach ($args as $v)
@@ -349,5 +345,5 @@
 				continue;
 			}
-
+			
 			if (!isset($__resources['help'][$v])) {
 				continue;
@@ -357,5 +353,5 @@
 				continue;
 			}
-
+			
 			$fc = file_get_contents($f);
 			if (preg_match('|<body[^>]*?>(.*?)</body>|ms',$fc,$matches)) {
@@ -365,9 +361,9 @@
 			}
 		}
-
+		
 		if (trim($content) == '') {
 			return;
 		}
-
+		
 		echo
 		'<div id="help"><hr /><div class="help-content clear"><h2>'.__('Help').'</h2>'.
@@ -375,5 +371,5 @@
 		'</div></div>';
 	}
-
+	
 	public static function jsLoad($src)
 	{
@@ -384,10 +380,10 @@
 		}
 	}
-
+	
 	public static function jsVar($n,$v)
 	{
 		return $n." = '".html::escapeJS($v)."';\n";
 	}
-
+	
 	public static function jsCommon()
 	{
@@ -396,11 +392,12 @@
 		self::jsLoad('js/jquery/jquery.biscuit.js').
 		self::jsLoad('js/jquery/jquery.bgFade.js').
+		self::jsLoad('js/jquery/jquery.constantfooter.js').
 		self::jsLoad('js/common.js').
 		self::jsLoad('js/prelude.js').
-
+		
 		'<script type="text/javascript">'."\n".
 		"//<![CDATA[\n".
 		self::jsVar('dotclear.nonce',$GLOBALS['core']->getNonce()).
-
+		
 		self::jsVar('dotclear.img_plus_src','images/expand.png').
 		self::jsVar('dotclear.img_plus_alt',__('uncover')).
@@ -409,5 +406,5 @@
 		self::jsVar('dotclear.img_menu_on','images/menu_on.png').
 		self::jsVar('dotclear.img_menu_off','images/menu_off.png').
-
+		
 		self::jsVar('dotclear.msg.help',
 			__('help')).
@@ -481,5 +478,5 @@
 		"</script>\n";
 	}
-
+	
 	public static function jsLoadIE7()
 	{
@@ -490,5 +487,5 @@
 		'<![endif]-->'."\n";
 	}
-
+	
 	public static function jsConfirmClose()
 	{
@@ -502,5 +499,5 @@
 			$args = '';
 		}
-
+		
 		return
 		self::jsLoad('js/confirm-close.js').
@@ -512,5 +509,5 @@
 		"</script>\n";
 	}
-
+	
 	public static function jsPageTabs($default=null)
 	{
@@ -518,5 +515,5 @@
 			$default = "'".html::escapeJS($default)."'";
 		}
-
+		
 		return
 		self::jsLoad('js/jquery/jquery.pageTabs.js').
@@ -524,263 +521,214 @@
 		"//<![CDATA[\n".
 		"\$(function() {\n".
-			"	\$.pageTabs(".$default.");\n".
-			"});\n".
-"\n//]]>\n".
-"</script>\n";
-}
-
-public static function jsModal()
-{
-	return
-	'<link rel="stylesheet" type="text/css" href="style/modal/modal.css" />'."\n".
-	self::jsLoad('js/jquery/jquery.modal.js').
-	'<script type="text/javascript">'."\n".
-	"//<![CDATA[\n".
-	self::jsVar('$.modal.prototype.params.loader_img','style/modal/loader.gif').
-	self::jsVar('$.modal.prototype.params.close_img','style/modal/close.png').
-	"\n//]]>\n".
-	"</script>\n";
-}
-
-public static function jsColorPicker()
-{
-	return
-	'<link rel="stylesheet" type="text/css" href="style/farbtastic/farbtastic.css" />'."\n".
-	self::jsLoad('js/jquery/jquery.farbtastic.js').
-	self::jsLoad('js/color-picker.js');
-}
-
-public static function jsDatePicker()
-{
-	return
-	'<link rel="stylesheet" type="text/css" href="style/date-picker.css" />'."\n".
-	self::jsLoad('js/date-picker.js').
-	'<script type="text/javascript">'."\n".
-	"//<![CDATA[\n".
-
-	"datePicker.prototype.months[0] = '".html::escapeJS(__('January'))."'; ".
-	"datePicker.prototype.months[1] = '".html::escapeJS(__('February'))."'; ".
-	"datePicker.prototype.months[2] = '".html::escapeJS(__('March'))."'; ".
-	"datePicker.prototype.months[3] = '".html::escapeJS(__('April'))."'; ".
-	"datePicker.prototype.months[4] = '".html::escapeJS(__('May'))."'; ".
-	"datePicker.prototype.months[5] = '".html::escapeJS(__('June'))."'; ".
-	"datePicker.prototype.months[6] = '".html::escapeJS(__('July'))."'; ".
-	"datePicker.prototype.months[7] = '".html::escapeJS(__('August'))."'; ".
-	"datePicker.prototype.months[8] = '".html::escapeJS(__('September'))."'; ".
-	"datePicker.prototype.months[9] = '".html::escapeJS(__('October'))."'; ".
-	"datePicker.prototype.months[10] = '".html::escapeJS(__('November'))."'; ".
-	"datePicker.prototype.months[11] = '".html::escapeJS(__('December'))."'; ".
-
-	"datePicker.prototype.days[0] = '".html::escapeJS(__('Monday'))."'; ".
-	"datePicker.prototype.days[1] = '".html::escapeJS(__('Tuesday'))."'; ".
-	"datePicker.prototype.days[2] = '".html::escapeJS(__('Wednesday'))."'; ".
-	"datePicker.prototype.days[3] = '".html::escapeJS(__('Thursday'))."'; ".
-	"datePicker.prototype.days[4] = '".html::escapeJS(__('Friday'))."'; ".
-	"datePicker.prototype.days[5] = '".html::escapeJS(__('Saturday'))."'; ".
-	"datePicker.prototype.days[6] = '".html::escapeJS(__('Sunday'))."'; ".
-
-	"datePicker.prototype.img_src = 'images/date-picker.png'; ".
-
-	"datePicker.prototype.close_msg = '".html::escapeJS(__('close'))."'; ".
-	"datePicker.prototype.now_msg = '".html::escapeJS(__('now'))."'; ".
-
-	"\n//]]>\n".
-	"</script>\n";
-}
-
-public static function jsToolBar()
-{
-	$res =
-	'<link rel="stylesheet" type="text/css" href="style/jsToolBar/jsToolBar.css" />'.
-	'<script type="text/javascript" src="js/jsToolBar/jsToolBar.js"></script>';
-
-	if (isset($GLOBALS['core']->auth) && $GLOBALS['core']->auth->getOption('enable_wysiwyg')) {
-		$res .= '<script type="text/javascript" src="js/jsToolBar/jsToolBar.wysiwyg.js"></script>';
-	}
-
-	$res .=
-	'<script type="text/javascript" src="js/jsToolBar/jsToolBar.dotclear.js"></script>'.
-	'<script type="text/javascript">'."\n".
-	"//<![CDATA[\n".
-	"jsToolBar.prototype.dialog_url = 'popup.php'; ".
-	"jsToolBar.prototype.iframe_css = '".
-	'body{'.
-	'font: 12px "DejaVu Sans","Lucida Grande","Lucida Sans Unicode",Arial,sans-serif;'.
-	'color : #000;'.
-	'background: #f9f9f9;'.
-	'margin: 0;'.
-	'padding : 2px;'.
-	'border: none;'.
-	(l10n::getTextDirection($GLOBALS['_lang']) == 'rtl' ? 'direction:rtl;' : '').
-	'}'.
-	'pre, code, kbd, samp {'.
-	'font-family:"Courier New",Courier,monospace;'.
-	'font-size : 1.1em;'.
-	'}'.
-	'code {'.
-	'color : #666;'.
-	'font-weight : bold;'.
-	'}'.
-	'body > p:first-child {'.
-	'margin-top: 0;'.
-	'}'.
-	"'; ".
-	"jsToolBar.prototype.base_url = '".html::escapeJS($GLOBALS['core']->blog->host)."'; ".
-	"jsToolBar.prototype.switcher_visual_title = '".html::escapeJS(__('visual'))."'; ".
-	"jsToolBar.prototype.switcher_source_title = '".html::escapeJS(__('source'))."'; ".
-	"jsToolBar.prototype.legend_msg = '".
-	html::escapeJS(__('You can use the following shortcuts to format your text.'))."'; ".
-	"jsToolBar.prototype.elements.blocks.options.none = '".html::escapeJS(__('-- none --'))."'; ".
-	"jsToolBar.prototype.elements.blocks.options.nonebis = '".html::escapeJS(__('-- block format --'))."'; ".
-	"jsToolBar.prototype.elements.blocks.options.p = '".html::escapeJS(__('Paragraph'))."'; ".
-	"jsToolBar.prototype.elements.blocks.options.h1 = '".html::escapeJS(__('Level 1 header'))."'; ".
-	"jsToolBar.prototype.elements.blocks.options.h2 = '".html::escapeJS(__('Level 2 header'))."'; ".
-	"jsToolBar.prototype.elements.blocks.options.h3 = '".html::escapeJS(__('Level 3 header'))."'; ".
-	"jsToolBar.prototype.elements.blocks.options.h4 = '".html::escapeJS(__('Level 4 header'))."'; ".
-	"jsToolBar.prototype.elements.blocks.options.h5 = '".html::escapeJS(__('Level 5 header'))."'; ".
-	"jsToolBar.prototype.elements.blocks.options.h6 = '".html::escapeJS(__('Level 6 header'))."'; ".
-	"jsToolBar.prototype.elements.strong.title = '".html::escapeJS(__('Strong emphasis'))."'; ".
-	"jsToolBar.prototype.elements.em.title = '".html::escapeJS(__('Emphasis'))."'; ".
-	"jsToolBar.prototype.elements.ins.title = '".html::escapeJS(__('Inserted'))."'; ".
-	"jsToolBar.prototype.elements.del.title = '".html::escapeJS(__('Deleted'))."'; ".
-	"jsToolBar.prototype.elements.quote.title = '".html::escapeJS(__('Inline quote'))."'; ".
-	"jsToolBar.prototype.elements.code.title = '".html::escapeJS(__('Code'))."'; ".
-	"jsToolBar.prototype.elements.br.title = '".html::escapeJS(__('Line break'))."'; ".
-	"jsToolBar.prototype.elements.blockquote.title = '".html::escapeJS(__('Blockquote'))."'; ".
-	"jsToolBar.prototype.elements.pre.title = '".html::escapeJS(__('Preformated text'))."'; ".
-	"jsToolBar.prototype.elements.ul.title = '".html::escapeJS(__('Unordered list'))."'; ".
-	"jsToolBar.prototype.elements.ol.title = '".html::escapeJS(__('Ordered list'))."'; ".
-
-	"jsToolBar.prototype.elements.link.title = '".html::escapeJS(__('Link'))."'; ".
-	"jsToolBar.prototype.elements.link.href_prompt = '".html::escapeJS(__('URL?'))."'; ".
-	"jsToolBar.prototype.elements.link.hreflang_prompt = '".html::escapeJS(__('Language?'))."'; ".
-
-	"jsToolBar.prototype.elements.img.title = '".html::escapeJS(__('External image'))."'; ".
-	"jsToolBar.prototype.elements.img.src_prompt = '".html::escapeJS(__('URL?'))."'; ".
-
-	"jsToolBar.prototype.elements.img_select.title = '".html::escapeJS(__('Media chooser'))."'; ".
-	"jsToolBar.prototype.elements.post_link.title = '".html::escapeJS(__('Link to an entry'))."'; ";
-
-	if (!$GLOBALS['core']->auth->check('media,media_admin',$GLOBALS['core']->blog->id)) {
-		$res .= "jsToolBar.prototype.elements.img_select.disabled = true;\n";
-	}
-
-	$res .=
-	"\n//]]>\n".
-	"</script>\n";
-
-	return $res;
-}
-
-public static function jsUpload($params=array(),$base_url=null)
-{
-	if (!$base_url) {
-		$base_url = path::clean(dirname(preg_replace('/(\?.*$)?/','',$_SERVER['REQUEST_URI']))).'/';
-	}
-
-	$params = array_merge($params,array(
-		'sess_id='.session_id(),
-		'sess_uid='.$_SESSION['sess_browser_uid'],
-		'xd_check='.$GLOBALS['core']->getNonce()
+		"	\$.pageTabs(".$default.");\n".
+		"});\n".
+		"\n//]]>\n".
+		"</script>\n";
+	}
+	
+	public static function jsModal()
+	{
+		return
+		'<link rel="stylesheet" type="text/css" href="style/modal/modal.css" />'."\n".
+		self::jsLoad('js/jquery/jquery.modal.js').
+		'<script type="text/javascript">'."\n".
+		"//<![CDATA[\n".
+		self::jsVar('$.modal.prototype.params.loader_img','style/modal/loader.gif').
+		self::jsVar('$.modal.prototype.params.close_img','style/modal/close.png').
+		"\n//]]>\n".
+		"</script>\n";
+	}
+	
+	public static function jsColorPicker()
+	{
+		return
+		'<link rel="stylesheet" type="text/css" href="style/farbtastic/farbtastic.css" />'."\n".
+		self::jsLoad('js/jquery/jquery.farbtastic.js').
+		self::jsLoad('js/color-picker.js');
+	}
+	
+	public static function jsDatePicker()
+	{
+		return
+		'<link rel="stylesheet" type="text/css" href="style/date-picker.css" />'."\n".
+		self::jsLoad('js/date-picker.js').
+		'<script type="text/javascript">'."\n".
+		"//<![CDATA[\n".
+		
+		"datePicker.prototype.months[0] = '".html::escapeJS(__('January'))."'; ".
+		"datePicker.prototype.months[1] = '".html::escapeJS(__('February'))."'; ".
+		"datePicker.prototype.months[2] = '".html::escapeJS(__('March'))."'; ".
+		"datePicker.prototype.months[3] = '".html::escapeJS(__('April'))."'; ".
+		"datePicker.prototype.months[4] = '".html::escapeJS(__('May'))."'; ".
+		"datePicker.prototype.months[5] = '".html::escapeJS(__('June'))."'; ".
+		"datePicker.prototype.months[6] = '".html::escapeJS(__('July'))."'; ".
+		"datePicker.prototype.months[7] = '".html::escapeJS(__('August'))."'; ".
+		"datePicker.prototype.months[8] = '".html::escapeJS(__('September'))."'; ".
+		"datePicker.prototype.months[9] = '".html::escapeJS(__('October'))."'; ".
+		"datePicker.prototype.months[10] = '".html::escapeJS(__('November'))."'; ".
+		"datePicker.prototype.months[11] = '".html::escapeJS(__('December'))."'; ".
+		
+		"datePicker.prototype.days[0] = '".html::escapeJS(__('Monday'))."'; ".
+		"datePicker.prototype.days[1] = '".html::escapeJS(__('Tuesday'))."'; ".
+		"datePicker.prototype.days[2] = '".html::escapeJS(__('Wednesday'))."'; ".
+		"datePicker.prototype.days[3] = '".html::escapeJS(__('Thursday'))."'; ".
+		"datePicker.prototype.days[4] = '".html::escapeJS(__('Friday'))."'; ".
+		"datePicker.prototype.days[5] = '".html::escapeJS(__('Saturday'))."'; ".
+		"datePicker.prototype.days[6] = '".html::escapeJS(__('Sunday'))."'; ".
+		
+		"datePicker.prototype.img_src = 'images/date-picker.png'; ".
+		
+		"datePicker.prototype.close_msg = '".html::escapeJS(__('close'))."'; ".
+		"datePicker.prototype.now_msg = '".html::escapeJS(__('now'))."'; ".
+		
+		"\n//]]>\n".
+		"</script>\n";
+	}
+	
+	public static function jsToolBar()
+	{
+		$res =
+		'<link rel="stylesheet" type="text/css" href="style/jsToolBar/jsToolBar.css" />'.
+		'<script type="text/javascript" src="js/jsToolBar/jsToolBar.js"></script>';
+		
+		if (isset($GLOBALS['core']->auth) && $GLOBALS['core']->auth->getOption('enable_wysiwyg')) {
+			$res .= '<script type="text/javascript" src="js/jsToolBar/jsToolBar.wysiwyg.js"></script>';
+		}
+		
+		$res .=
+		'<script type="text/javascript" src="js/jsToolBar/jsToolBar.dotclear.js"></script>'.
+		'<script type="text/javascript">'."\n".
+		"//<![CDATA[\n".
+		"jsToolBar.prototype.dialog_url = 'popup.php'; ".
+		"jsToolBar.prototype.iframe_css = '".
+			'body{'.
+				'font: 12px "DejaVu Sans","Lucida Grande","Lucida Sans Unicode",Arial,sans-serif;'.
+				'color : #000;'.
+				'background: #f9f9f9;'.
+				'margin: 0;'.
+				'padding : 2px;'.
+				'border: none;'.
+				(l10n::getTextDirection($GLOBALS['_lang']) == 'rtl' ? 'direction:rtl;' : '').
+			'}'.
+			'pre, code, kbd, samp {'.
+				'font-family:"Courier New",Courier,monospace;'.
+				'font-size : 1.1em;'.
+			'}'.
+			'code {'.
+				'color : #666;'.
+				'font-weight : bold;'.
+			'}'.
+			'body > p:first-child {'.
+				'margin-top: 0;'.
+			'}'.
+		"'; ".
+		"jsToolBar.prototype.base_url = '".html::escapeJS($GLOBALS['core']->blog->host)."'; ".
+		"jsToolBar.prototype.switcher_visual_title = '".html::escapeJS(__('visual'))."'; ".
+		"jsToolBar.prototype.switcher_source_title = '".html::escapeJS(__('source'))."'; ".
+		"jsToolBar.prototype.legend_msg = '".
+		html::escapeJS(__('You can use the following shortcuts to format your text.'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.none = '".html::escapeJS(__('-- none --'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.nonebis = '".html::escapeJS(__('-- block format --'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.p = '".html::escapeJS(__('Paragraph'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.h1 = '".html::escapeJS(__('Level 1 header'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.h2 = '".html::escapeJS(__('Level 2 header'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.h3 = '".html::escapeJS(__('Level 3 header'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.h4 = '".html::escapeJS(__('Level 4 header'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.h5 = '".html::escapeJS(__('Level 5 header'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.h6 = '".html::escapeJS(__('Level 6 header'))."'; ".
+		"jsToolBar.prototype.elements.strong.title = '".html::escapeJS(__('Strong emphasis'))."'; ".
+		"jsToolBar.prototype.elements.em.title = '".html::escapeJS(__('Emphasis'))."'; ".
+		"jsToolBar.prototype.elements.ins.title = '".html::escapeJS(__('Inserted'))."'; ".
+		"jsToolBar.prototype.elements.del.title = '".html::escapeJS(__('Deleted'))."'; ".
+		"jsToolBar.prototype.elements.quote.title = '".html::escapeJS(__('Inline quote'))."'; ".
+		"jsToolBar.prototype.elements.code.title = '".html::escapeJS(__('Code'))."'; ".
+		"jsToolBar.prototype.elements.br.title = '".html::escapeJS(__('Line break'))."'; ".
+		"jsToolBar.prototype.elements.blockquote.title = '".html::escapeJS(__('Blockquote'))."'; ".
+		"jsToolBar.prototype.elements.pre.title = '".html::escapeJS(__('Preformated text'))."'; ".
+		"jsToolBar.prototype.elements.ul.title = '".html::escapeJS(__('Unordered list'))."'; ".
+		"jsToolBar.prototype.elements.ol.title = '".html::escapeJS(__('Ordered list'))."'; ".
+		
+		"jsToolBar.prototype.elements.link.title = '".html::escapeJS(__('Link'))."'; ".
+		"jsToolBar.prototype.elements.link.href_prompt = '".html::escapeJS(__('URL?'))."'; ".
+		"jsToolBar.prototype.elements.link.hreflang_prompt = '".html::escapeJS(__('Language?'))."'; ".
+		
+		"jsToolBar.prototype.elements.img.title = '".html::escapeJS(__('External image'))."'; ".
+		"jsToolBar.prototype.elements.img.src_prompt = '".html::escapeJS(__('URL?'))."'; ".
+		
+		"jsToolBar.prototype.elements.img_select.title = '".html::escapeJS(__('Media chooser'))."'; ".
+		"jsToolBar.prototype.elements.post_link.title = '".html::escapeJS(__('Link to an entry'))."'; ";
+		
+		if (!$GLOBALS['core']->auth->check('media,media_admin',$GLOBALS['core']->blog->id)) {
+			$res .= "jsToolBar.prototype.elements.img_select.disabled = true;\n";
+		}
+		
+		$res .=
+		"\n//]]>\n".
+		"</script>\n";
+		
+		return $res;
+	}
+	
+	public static function jsCandyUpload($params=array(),$base_url=null)
+	{
+		if (!$base_url) {
+			$base_url = path::clean(dirname(preg_replace('/(\?.*$)?/','',$_SERVER['REQUEST_URI']))).'/';
+		}
+		
+		$params = array_merge($params,array(
+			'sess_id='.session_id(),
+			'sess_uid='.$_SESSION['sess_browser_uid'],
+			'xd_check='.$GLOBALS['core']->getNonce()
 		));
-
-	return
-	'<link rel="stylesheet" type="text/css" href="style/jsUpload/style.css" />'."\n".
-
-	'<script id="template-upload" type="text/x-tmpl">
-	{% for (var i=0, file; file=o.files[i]; i++) { %}
-	<div class="template-upload fade">
-	<div class="upload-file">
-	<div class="upload-fileinfo">
-		<span class="upload-filename">{%=file.name%}</span>
-		<span class="upload-filesize">({%=o.formatFileSize(file.size)%})</span>
-		<span class="upload-filecancel cancel">'.__('Cancel').'</span>
-		{% if (!o.files.error && !i && !o.options.autoUpload) { %}
-		<input type="submit" class="button start"  value="'.__('Send').'"/>
-		{% } %}
-		<span class="upload-filemsg"></span>
-	</div>
-	{% if (!o.files.error) { %}
-	<div class="upload-progress progress progress-success progress-striped active"><div class="bar" style="width:0%;"></div></div>
-	{% } %}
-	</div>
-	{% } %}
-	</script>
-	<!-- The template to display files available for download -->
-	<script id="template-download" type="text/x-tmpl">
-	{% for (var i=0, file; file=o.files[i]; i++) { %}
-	<div class="template-download fade">
-	<div class="upload-file">
-	<div class="upload-fileinfo">
-		<span class="upload-filename">{%=file.name%}</span>
-		<span class="upload-filesize">({%=o.formatFileSize(file.size)%})</span>
-		<span class="upload-filemsg{% if (file.error) { %} upload-error{% } %}">
-		{% if (file.error) { %}
-		'.__('Error:').' {%=file.error%}
-		{% } else { %}
-		'.__('File successfully uploaded.').'
-		{% } %}
-		</span>
-	</div>
-	<div class="upload-progress">
-		{% if (!file.error) { %}
-		<div class="bar" style="width:100%;">100%</div>
-		{% } %}
-	</div>
-	</div>
-	{% } %}
-	</script>'.
-
-	self::jsLoad('js/jsUpload/vendor/jquery.ui.widget.js').
-	self::jsLoad('js/jsUpload/tmpl.js').
-	self::jsLoad('js/jsUpload/load-image.js').
-	self::jsLoad('js/jsUpload/jquery.iframe-transport.js').
-	self::jsLoad('js/jsUpload/jquery.fileupload.js').
-	self::jsLoad('js/jsUpload/jquery.fileupload-process.js').
-	self::jsLoad('js/jsUpload/jquery.fileupload-resize.js').
-	self::jsLoad('js/jsUpload/jquery.fileupload-ui.js').
-
-	'<script type="text/javascript">'."\n".
-	"//<![CDATA[\n".
-	"dotclear.jsUpload = {};\n".
-	"dotclear.jsUpload.msg = {};\n".
-	self::jsVar('dotclear.msg.enhanced_uploader_activate',__('Temporarily activate enhanced uploader')).
-	self::jsVar('dotclear.msg.enhanced_uploader_disable',__('Temporarily disable enhanced uploader')).
-	self::jsVar('dotclear.jsUpload.msg.limit_exceeded',__('Limit exceeded.')).
-	self::jsVar('dotclear.jsUpload.msg.size_limit_exceeded',__('File size exceeds allowed limit.')).
-	self::jsVar('dotclear.jsUpload.msg.canceled',__('Canceled.')).
-	self::jsVar('dotclear.jsUpload.msg.http_error',__('HTTP Error:')).
-	self::jsVar('dotclear.jsUpload.msg.error',__('Error:')).
-	self::jsVar('dotclear.jsUpload.msg.choose_file',__('Choose file')).
-	self::jsVar('dotclear.jsUpload.msg.choose_files',__('Choose files')).
-	self::jsVar('dotclear.jsUpload.msg.cancel',__('Cancel')).
-	self::jsVar('dotclear.jsUpload.msg.clean',__('Clean')).
-	self::jsVar('dotclear.jsUpload.msg.upload',__('Upload')).
-	self::jsVar('dotclear.jsUpload.msg.no_file_in_queue',__('No file in queue.')).
-	self::jsVar('dotclear.jsUpload.msg.file_in_queue',__('1 file in queue.')).
-	self::jsVar('dotclear.jsUpload.msg.files_in_queue',__('%d files in queue.')).
-	self::jsVar('dotclear.jsUpload.msg.queue_error',__('Queue error:')).
-	self::jsVar('dotclear.jsUpload.base_url',$base_url).
-	"\n//]]>\n".
-	"</script>\n";
-}
-
-public static function jsToolMan()
-{
-	return
-	'<script type="text/javascript" src="js/tool-man/core.js"></script>'.
-	'<script type="text/javascript" src="js/tool-man/events.js"></script>'.
-	'<script type="text/javascript" src="js/tool-man/css.js"></script>'.
-	'<script type="text/javascript" src="js/tool-man/coordinates.js"></script>'.
-	'<script type="text/javascript" src="js/tool-man/drag.js"></script>'.
-	'<script type="text/javascript" src="js/tool-man/dragsort.js"></script>'.
-	'<script type="text/javascript" src="js/dragsort-tablerows.js"></script>';
-}
-
-public static function jsMetaEditor()
-{
-	return
-	'<script type="text/javascript" src="js/meta-editor.js"></script>';
-}
+		
+		return
+		'<link rel="stylesheet" type="text/css" href="style/candyUpload/style.css" />'."\n".
+		self::jsLoad('js/jquery/jquery.candyUpload.js').
+		
+		'<script type="text/javascript">'."\n".
+		"//<![CDATA[\n".
+		"dotclear.candyUpload = {};\n".
+		self::jsVar('dotclear.msg.activate_enhanced_uploader',__('Temporarily activate enhanced uploader')).
+		self::jsVar('dotclear.msg.disable_enhanced_uploader',__('Temporarily disable enhanced uploader')).
+		self::jsVar('$._candyUpload.prototype.locales.file_uploaded',__('File successfully uploaded.')).
+		self::jsVar('$._candyUpload.prototype.locales.max_file_size',__('Maximum file size allowed:')).
+		self::jsVar('$._candyUpload.prototype.locales.limit_exceeded',__('Limit exceeded.')).
+		self::jsVar('$._candyUpload.prototype.locales.size_limit_exceeded',__('File size exceeds allowed limit.')).
+		self::jsVar('$._candyUpload.prototype.locales.canceled',__('Canceled.')).
+		self::jsVar('$._candyUpload.prototype.locales.http_error',__('HTTP Error:')).
+		self::jsVar('$._candyUpload.prototype.locales.error',__('Error:')).
+		self::jsVar('$._candyUpload.prototype.locales.choose_file',__('Choose file')).
+		self::jsVar('$._candyUpload.prototype.locales.choose_files',__('Choose files')).
+		self::jsVar('$._candyUpload.prototype.locales.cancel',__('Cancel')).
+		self::jsVar('$._candyUpload.prototype.locales.clean',__('Clean')).
+		self::jsVar('$._candyUpload.prototype.locales.upload',__('Upload')).
+		self::jsVar('$._candyUpload.prototype.locales.no_file_in_queue',__('No file in queue.')).
+		self::jsVar('$._candyUpload.prototype.locales.file_in_queue',__('1 file in queue.')).
+		self::jsVar('$._candyUpload.prototype.locales.files_in_queue',__('%d files in queue.')).
+		self::jsVar('$._candyUpload.prototype.locales.queue_error',__('Queue error:')).
+		self::jsVar('dotclear.candyUpload.base_url',$base_url).
+		self::jsVar('dotclear.candyUpload.movie_url',$base_url.'index.php?pf=swfupload.swf').
+		self::jsVar('dotclear.candyUpload.params',implode('&',$params)).
+		"\n//]]>\n".
+		"</script>\n";
+	}
+	
+	public static function jsToolMan()
+	{
+		return
+		'<script type="text/javascript" src="js/tool-man/core.js"></script>'.
+		'<script type="text/javascript" src="js/tool-man/events.js"></script>'.
+		'<script type="text/javascript" src="js/tool-man/css.js"></script>'.
+		'<script type="text/javascript" src="js/tool-man/coordinates.js"></script>'.
+		'<script type="text/javascript" src="js/tool-man/drag.js"></script>'.
+		'<script type="text/javascript" src="js/tool-man/dragsort.js"></script>'.
+		'<script type="text/javascript" src="js/dragsort-tablerows.js"></script>';
+	}
+	
+	public static function jsMetaEditor()
+	{
+		return
+		'<script type="text/javascript" src="js/meta-editor.js"></script>';
+	}
 }
 ?>
